curl --request PUT \
--url http://{host}:{port}/{contextPath}/process-definition/{id}/history-time-to-live \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"historyTimeToLive": 5
}
'import requests
url = "http://{host}:{port}/{contextPath}/process-definition/{id}/history-time-to-live"
payload = { "historyTimeToLive": 5 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({historyTimeToLive: 5})
};
fetch('http://{host}:{port}/{contextPath}/process-definition/{id}/history-time-to-live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}通过Id更新历史记录生存时间
Updates history time to live for process definition.
The field is used within History cleanup.
The value of the update is mandatory by default and does not allow null values. To enable them, please
set the feature flag enforceHistoryTimeToLive to false. Read more in [Configuration Properties]
(https://docs.camunda.org/manual/7.22/reference/deployment-descriptors/tags/process-engine#configuration-properties)
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process definition to change history time to live.
Body
New value for historyTimeToLive field of the definition.
Can be null if enforceHistoryTimeToLive is configured to false.
Cannot be negative.
x >= 0Response
Request successful.